'   rsVarSetup - a tweak of formVarSetup 1.0 by Keith Collison
'    kcollison@erols.com, original copyright date 12/12/99. 
'
'	Tweaked to work with recordsets by Kathi O'Shea
'	http://www.web-savant.com/users/kathi/asp/
'	kathi@web-savant.com
'	Date of tweak: 10/8/2000
Sub Main
	Dim app, strText, intSelection,HSYesNoCancel,strRequest,tempStr,newString, br,strDone
	Dim startPoint,recordsetName, varName, varString   ' these were added by kathi
	br = chr(10)
	HSYesNoCancel = 3
	hsYesNoCancel = 3
	hsCancel = 2
	hsYes = 6
	hsNo = 7
	
	Set app = Application
	intSelection = app.ActiveDocument.SelLength
	
	answer = app.MessageBox("Press:" & br & "  'Yes' to use Rs," & br & "  'No' to input custom recordset name," & br & "  'Cancel' to exit.", "Form variables", HSYesNoCancel)
	if answer <> hsCancel THEN   
	   If intSelection > 0 Then
		    ' Grab the highlighted text
		    strText = app.ActiveDocument.SelText
			' Make an array, using carriage return as delimiter
			StringArray = Split(strText,Chr(13))
			if answer = hsYes then 
				strRequest = "rs"
				startPoint=0
				dimStr = "DIM rs,"
			Else
				startPoint=1
				dimStr = "DIM " 
			End If
			tempStr=StringArray(0)
			For i = startPoint to Ubound(StringArray) 
			 		tempStr = Trim(StringArray(i))
					tempStr = Replace(tempStr,br,"")
					If answer = HsNo then
						strRequest = StringArray(0)
					End If
					newString = newString & tempStr & " = " & strRequest & "(" & Chr(34) & tempStr & Chr(34) & ")" & Chr(13)
			Next
			dimStr = dimStr & (join(StringArray,","))
			' Take out any carriage return in the DIM statement
			dimStr = replace(dimStr,br,"") & br
			' Added by Kathi to get rid of unnecessary commas for empty rows
			dimStr = replace(dimStr,",,","")
			If right(dimStr,2)="," & Chr(10) then
				dimStr = replace(dimStr,"," & Chr(10),"")
			End If
			newString = replace(newString," = " & strRequest & "(" & Chr(34) & Chr(34) & ")","")
			newString = replace(newString,Chr(13)&Chr(13),"")
			app.ActiveDocument.SelText = dimStr & chr(13) & newString & Chr(10)
		ELSE
			' strDone is displayed to the user as they submit the variables, help 'em 
			' keep track of what they've done
			strDone = "Already submitted: "
			
                    If answer= hsNo then
			    varName= inputBox("Name of Recordset:" & br & "(Enter a blank to exit)","Recordset Dialog")
				recordsetName=varName
			Else
				recordsetname = "rs"
			End If
			varName= inputBox("Name of Variable:" &  br & "(Enter a blank to exit)","Variable Dialog")
			dimStr=""
			Do UNTIL varName = "" or varName = hsCancel
			    If dimStr="" then
					dimStr = dimStr & varName
				Else
					dimStr = dimStr & "," & varName
				End If
				varString = varString & br & varName & " = " & recordsetname & "(" & strRequest & Chr(34) & varName & Chr(34) & ")"
				varName= inputBox("Name of Variable:" & br & strDone & dimStr & br &  "(Enter a blank to exit)","Variable Dialog")
			LOOP 
			dimStr = "DIM " & recordsetName & "," & replace(dimStr,br,"")
			app.ActiveDocument.InsertText dimStr & varString & chr(13),False
		End If
	END IF
End Sub